package com.ynet.life.file.parser;

import com.ynet.life.base.Trace;
import java.io.File;
import java.util.HashMap;
import java.util.Map;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/DataFormatConfigProvider.class */
public class DataFormatConfigProvider {
    private static Map dfMap = new HashMap();

    public static void parseFile(String fileName) {
        try {
            Node rootNode = null;
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            factory.setValidating(false);
            NodeList list = factory.newDocumentBuilder().parse(new File(fileName)).getChildNodes();
            int i = 0;
            while (true) {
                if (i >= list.getLength()) {
                    break;
                }
                if (!(list.item(i) instanceof Element)) {
                    i++;
                } else {
                    rootNode = list.item(i);
                    break;
                }
            }
            NodeList dfList = rootNode.getChildNodes();
            for (int i2 = 0; i2 < dfList.getLength(); i2++) {
                Node df = dfList.item(i2);
                if (df.getNodeType() == 1) {
                    String businessCode = getNodeAttributeValue("businessCode", df);
                    dfMap.put(businessCode, parseDataFormatConfig(df));
                }
            }
        } catch (Exception ex) {
            Trace.logError("LOAF", "读入配置文件失败", ex);
        }
    }

    public static String getNodeAttributeValue(String attrName, Node aNode) {
        if (aNode != null && attrName != null && attrName.trim().length() != 0 && aNode.getAttributes().getNamedItem(attrName) != null) {
            return aNode.getAttributes().getNamedItem(attrName).getNodeValue();
        }
        return null;
    }

    private static Map parseDataFormatConfig(Node df) {
        Map fieldMap = new HashMap();
        NodeList dfChild = df.getChildNodes();
        NodeList fieldNodeList = null;
        int i = 0;
        while (true) {
            if (i >= dfChild.getLength()) {
                break;
            }
            if (!(dfChild.item(i) instanceof Element)) {
                i++;
            } else {
                fieldNodeList = dfChild.item(i).getChildNodes();
                break;
            }
        }
        if (fieldNodeList != null) {
            for (int i2 = 0; i2 < fieldNodeList.getLength(); i2++) {
                HashMap hashMap = new HashMap();
                Node field = fieldNodeList.item(i2);
                if (field.getNodeType() == 1) {
                    String type = getNodeAttributeValue("type", field);
                    String id = getNodeAttributeValue("id", field);
                    hashMap.put("type", type);
                    if ("account".equalsIgnoreCase(type)) {
                        hashMap.put("mask", getNodeAttributeValue("mask", field));
                    } else if ("date".equalsIgnoreCase(type)) {
                        hashMap.put("format", getNodeAttributeValue("format", field));
                    } else if ("amount".equalsIgnoreCase(type)) {
                        hashMap.put("isCommon", getNodeAttributeValue("isCommon", field));
                    } else if ("param".equalsIgnoreCase(type)) {
                        hashMap.put("paramCode", getNodeAttributeValue("paramCode", field));
                    }
                    fieldMap.put(id, hashMap);
                }
            }
        }
        return fieldMap;
    }

    public static String getFieldAttrValue(String fieldName, String fieldAttrName, String businessCode) {
        Object objAttrMap;
        Object objFieldMap = dfMap.get(businessCode);
        if (objFieldMap == null || (objAttrMap = ((Map) objFieldMap).get(fieldName)) == null) {
            return null;
        }
        Map attrMap = (Map) objAttrMap;
        String type = (String) attrMap.get("type");
        if ("type".equalsIgnoreCase(fieldAttrName)) {
            return type;
        }
        Object objSt = null;
        if ("account".equalsIgnoreCase(type)) {
            objSt = attrMap.get("mask");
        } else if ("date".equalsIgnoreCase(type)) {
            objSt = attrMap.get("format");
        } else if ("amount".equalsIgnoreCase(type)) {
            objSt = attrMap.get("isCommon");
        } else if ("param".equalsIgnoreCase(type)) {
            objSt = attrMap.get("paramCode");
        }
        if (objSt != null) {
            return (String) objSt;
        }
        return null;
    }
}
